Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SAX2EventRecorder

    java.lang.Object
      org.apache.axis.message.SAX2EventRecorder

public class SAX2EventRecorder
extends Object

This class records SAX2 Events and allows the events to be replayed by start and stop index

Constructor Summary
`SAX2EventRecorder()`

Method Summary
`int` | `characters(char[] p1, int p2, int p3)`
`void` | `clear()`
`void` | `comment(char[] ch, int start, int length)`
`void` | `endCDATA()`
`int` | `endDocument()`
`void` | `endDTD()`
`int` | `endElement(String p1, String p2, String p3)`
`void` | `endEntity(String name)`
`int` | `endPrefixMapping(String p1)`
`int` | `getLength()`
`int` | `ignorableWhitespace(char[] p1, int p2, int p3)`
`int` | `newElement(SOAPElementAxisImpl elem)`
`int` | `processingInstruction(String p1, String p2)`
`void` | `replay(ContentHandler handler)`
`void` | `replay(int start, int stop, ContentHandler handler)`
`int` | `setDocumentLocator(Locator p1)`
`int` | `skippedEntity(String p1)`
`void` | `startCDATA()`
`int` | `startDocument()`
`void` | `startDTD(String name, String publicId, String systemId)`
`int` | `startElement(String p1, String p2, String p3, Attributes p4)`
`void` | `startEntity(String name)`
`int` | `startPrefixMapping(String p1, String p2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2EventRecorder

    public SAX2EventRecorder()

Method Detail

### clear

    public void clear()

### getLength

    public int getLength()

### setDocumentLocator

    public int setDocumentLocator(Locator p1)

### startDocument

    public int startDocument()

### endDocument

    public int endDocument()

### startPrefixMapping

    public int startPrefixMapping(String p1,
                                  String p2)

### endPrefixMapping

    public int endPrefixMapping(String p1)

### startElement

    public int startElement(String p1,
                            String p2,
                            String p3,
                            Attributes p4)

### endElement

    public int endElement(String p1,
                          String p2,
                          String p3)

### characters

    public int characters(char[] p1,
                          int p2,
                          int p3)

### ignorableWhitespace

    public int ignorableWhitespace(char[] p1,
                                   int p2,
                                   int p3)

### processingInstruction

    public int processingInstruction(String p1,
                                     String p2)

### skippedEntity

    public int skippedEntity(String p1)

### startDTD

    public void startDTD(String name,
                         String publicId,
                         String systemId)

### endDTD

    public void endDTD()

### startEntity

    public void startEntity(String name)

### endEntity

    public void endEntity(String name)

### startCDATA

    public void startCDATA()

### endCDATA

    public void endCDATA()

### comment

    public void comment(char[] ch,
                        int start,
                        int length)

### newElement

    public int newElement(SOAPElementAxisImpl elem)

### replay

    public void replay(ContentHandler handler)
                throws SAXException

  Throws:
    `SAXException`

### replay

    public void replay(int start,
                       int stop,
                       ContentHandler handler)
                throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.